<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.kubernetes.logs.KubernetesLogsConsistentCachesKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.FastLogProvider kotlin.jvm.functions.Function3&lt;com.intellij.kubernetes.logs.FastLogProvider.ColoredLogContextListWithScrollingDirection&lt;Id,L,S&gt;,java.lang.Boolean,kotlin.coroutines.Continuation&lt;? super kotlin.Unit&gt;,java.lang.Object&gt; getHandleNewLogsListCallback()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManagerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager kotlinx.coroutines.flow.MutableStateFlow&lt;java.lang.Integer&gt; getStreamingLogsStatus$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsManager KubernetesContextLogsManager(com.intellij.kubernetes.api.KubernetesApiModelInterface, java.util.List&lt;? extends com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogJobManagerKt kotlinx.coroutines.flow.Flow&lt;com.intellij.kubernetes.logs.KubernetesContextLog&gt; createStreamingLogsFlow(java.util.List&lt;? extends com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject&gt;, com.intellij.kubernetes.logs.TimeSlice, com.intellij.kubernetes.api.KubernetesApiModelInterface, kotlinx.coroutines.flow.MutableStateFlow&lt;java.lang.Integer&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogJobManagerKt kotlinx.coroutines.flow.Flow&lt;com.intellij.kubernetes.logs.KubernetesContextLog&gt; createStreamingLogsFlow(java.util.List&lt;? extends com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject&gt;, com.intellij.kubernetes.logs.TimeSlice, com.intellij.kubernetes.api.KubernetesApiModelInterface, kotlinx.coroutines.flow.MutableStateFlow&lt;java.lang.Integer&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterSettings com.intellij.kubernetes.logs.KubernetesTextLogFilterSettings getTextFilterSettings()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.IdRange">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesTextFilterModel com.intellij.kubernetes.logs.KubernetesLogStateManager getStateManager()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogPresentationSettings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLog java.lang.String toString$intellij_clouds_kubernetes_backend(com.intellij.kubernetes.logs.KubernetesLogPresentationSettings)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt; copy(T, int, int, com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt;, com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt; copy(T, int, int, com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt;, com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesFastLogProviderKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager kotlinx.coroutines.flow.MutableStateFlow&lt;java.lang.Integer&gt; getStreamingLogsStatusFlow$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager kotlinx.coroutines.flow.MutableStateFlow&lt;java.lang.Integer&gt; getStreamingLogsStatusFlow$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.FastLogProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager.HyperLinkCachedCreator void clearCache$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogsLoader kotlinx.coroutines.flow.Flow&lt;kotlin.Pair&lt;java.util.Collection&lt;com.intellij.kubernetes.logs.KubernetesContextLog&gt;,com.intellij.kubernetes.logs.IdRange&lt;java.time.Instant&gt;&gt;&gt; downloadLogLinesUpFrom(Id, kotlin.jvm.functions.Function2&lt;? super java.util.Set&lt;? extends L&gt;,? super kotlin.coroutines.Continuation&lt;? super java.lang.Boolean&gt;,? extends java.lang.Object&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogsLoader kotlinx.coroutines.flow.Flow&lt;kotlin.Pair&lt;java.util.Collection&lt;com.intellij.kubernetes.logs.KubernetesContextLog&gt;,com.intellij.kubernetes.logs.IdRange&lt;java.time.Instant&gt;&gt;&gt; downloadLogLinesUpFrom(Id, kotlin.jvm.functions.Function2&lt;? super java.util.Set&lt;? extends L&gt;,? super kotlin.coroutines.Continuation&lt;? super java.lang.Boolean&gt;,? extends java.lang.Object&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogsLoader kotlinx.coroutines.flow.Flow&lt;kotlin.Pair&lt;java.util.Collection&lt;com.intellij.kubernetes.logs.KubernetesContextLog&gt;,com.intellij.kubernetes.logs.IdRange&lt;java.time.Instant&gt;&gt;&gt; downloadLogLinesUpFrom(Id)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager.HyperLinkCachedCreator HyperLinkCachedCreator(com.intellij.kubernetes.api.KubernetesApiModelInterface, com.intellij.kubernetes.logs.KubernetesLogStateManager)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLog.Companion com.intellij.kubernetes.logs.KubernetesContextLog fromString(java.lang.String, com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogJobManagerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsManager com.intellij.kubernetes.logs.KubernetesLogStateManager getStateManager$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.AnsiSegment">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.26574.91&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.FastLogProvider java.lang.Object handleNewLogsWithRange(kotlin.Pair&lt;? extends java.util.Collection&lt;? extends com.intellij.kubernetes.logs.KubernetesContextLog&gt;,? extends com.intellij.kubernetes.logs.IdRange&lt;java.time.Instant&gt;&gt;, kotlin.coroutines.Continuation&lt;? super kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogAnsiSegmentKt java.lang.String stripAnsiCsi(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogAnsiSegmentKt java.lang.String stripAnsiCsi(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt; getLeft()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt; getLeft()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogConsistentFilteringCache">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogsPresentableTextBuildersKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterModel T getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsTabPanel.LogLineEntry java.time.Instant component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.24978.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ILogFilterModel">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager kotlinx.coroutines.CoroutineScope getCoroutineScope$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesFastLogProvider long predictLogFetchInterval(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsManager">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLog">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogLineEntry com.intellij.kubernetes.logs.LogLineEntry&lt;Id,S,L&gt; copy(java.util.List&lt;com.intellij.kubernetes.logs.LogEntry&gt;, L)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager kotlinx.coroutines.flow.MutableSharedFlow&lt;kotlin.Unit&gt; getUpdateTimePeriodAndSourcesFieldsFlow$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager kotlinx.coroutines.flow.MutableSharedFlow&lt;java.time.Instant&gt; getJumpToTimestampFlow$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogsLoader kotlinx.coroutines.flow.Flow&lt;kotlin.Pair&lt;java.util.Collection&lt;com.intellij.kubernetes.logs.KubernetesContextLog&gt;,com.intellij.kubernetes.logs.IdRange&lt;java.time.Instant&gt;&gt;&gt; downloadLogLinesUpFrom(java.time.Instant, kotlin.jvm.functions.Function2&lt;? super java.util.Set&lt;? extends com.intellij.kubernetes.logs.KubernetesContextLog&gt;,? super kotlin.coroutines.Continuation&lt;? super java.lang.Boolean&gt;,? extends java.lang.Object&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogsLoader kotlinx.coroutines.flow.Flow&lt;kotlin.Pair&lt;java.util.Collection&lt;com.intellij.kubernetes.logs.KubernetesContextLog&gt;,com.intellij.kubernetes.logs.IdRange&lt;java.time.Instant&gt;&gt;&gt; downloadLogLinesUpFrom(java.time.Instant, kotlin.jvm.functions.Function2&lt;? super java.util.Set&lt;? extends com.intellij.kubernetes.logs.KubernetesContextLog&gt;,? super kotlin.coroutines.Continuation&lt;? super java.lang.Boolean&gt;,? extends java.lang.Object&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsManager.HyperLinkCachedCreator com.intellij.execution.filters.HyperlinkInfo getHyperlinkInfoForLog$intellij_clouds_kubernetes(com.intellij.kubernetes.logs.KubernetesContextLog)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.24978.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogsLoader kotlinx.coroutines.flow.Flow&lt;kotlin.Pair&lt;java.util.Collection&lt;com.intellij.kubernetes.logs.KubernetesContextLog&gt;,com.intellij.kubernetes.logs.IdRange&lt;java.time.Instant&gt;&gt;&gt; streamLogsDownFlow(Id, kotlin.jvm.functions.Function2&lt;? super L,? super kotlin.coroutines.Continuation&lt;? super java.lang.Boolean&gt;,? extends java.lang.Object&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogConsistentCache">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogUIManager">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsModelKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ILogSubscribableConsistentCache">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterSettings java.util.List&lt;com.intellij.kubernetes.logs.pattern.matching.LogCluster&gt; getExcludedPatterns()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager kotlinx.coroutines.flow.MutableSharedFlow&lt;java.time.Instant&gt; getClearLogsEvent$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLog KubernetesContextLog(java.time.Instant, java.lang.String, com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesTextFilterModel T getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager kotlinx.coroutines.flow.MutableStateFlow&lt;com.intellij.kubernetes.logs.KubernetesLogPresentationSettings&gt; getPresentationSettingsStateFlow$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager kotlinx.coroutines.flow.MutableStateFlow&lt;com.intellij.kubernetes.logs.KubernetesLogPresentationSettings&gt; getPresentationSettingsStateFlow$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node T getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node T getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogConsistentCache java.util.List&lt;L&gt; sliceBetween(int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.StopFollowingLogsException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesEventLog KubernetesEventLog(io.kubernetes.client.openapi.models.CoreV1Event, com.intellij.kubernetes.api.Context)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager com.intellij.kubernetes.api.KubernetesApiModelInterface getApiModel$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.FastLogProvider java.lang.Object handleNewLogsListCallback(com.intellij.kubernetes.logs.FastLogProvider.ColoredLogContextListWithScrollingDirection&lt;Id,L,S&gt;, boolean, kotlin.coroutines.Continuation&lt;? super kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogUIManager KubernetesLogUIManager(com.intellij.kubernetes.logs.KubernetesLogStateManager, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogConsistentCache com.intellij.kubernetes.logs.SliceableStorageSet&lt;L&gt; getLogsCache()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogConsistentCache com.intellij.kubernetes.logs.SliceableStorageSet&lt;L&gt; getLogsCache()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesTextLogFilterSettings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogInterface">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogLineEntry">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.BackendKubernetesLogUtilsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterSettings java.util.List&lt;com.intellij.kubernetes.logs.pattern.matching.LogCluster&gt; getSelectedPatterns()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterSettings boolean apply(com.intellij.kubernetes.logs.KubernetesContextLog)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogConsistentCache com.intellij.kubernetes.util.SliceableStorageSet&lt;L&gt; getLogsCache()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node Node(T, int, int, com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt;, com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node Node(T, int, int, com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt;, com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLargeLogsEditor.VisibleLines int getVisibleEndLine()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLog com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject getSourceObject()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogConsistentContainerListFlowBasedCache">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsTabPanel.LogLineEntry java.time.Instant getTimestamp()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.24978.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.AnsiSegment com.intellij.kubernetes.logs.LogEntry toLogEntry()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterService">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLargeLogsEditor.VisibleLines int getLinesInEditor()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager boolean getAddClusterEventsAsLogs$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogsLoader kotlinx.coroutines.flow.Flow&lt;kotlin.Pair&lt;java.util.Collection&lt;com.intellij.kubernetes.logs.KubernetesContextLog&gt;,com.intellij.kubernetes.logs.IdRange&lt;java.time.Instant&gt;&gt;&gt; downloadLogLinesUpFrom(java.time.Instant)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesFastLogProvider com.intellij.kubernetes.logs.KubernetesLogStateManager getStateManager()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.FastLogProvider FastLogProvider(kotlinx.coroutines.CoroutineScope, kotlin.jvm.functions.Function3&lt;? super com.intellij.kubernetes.logs.FastLogProvider.ColoredLogContextListWithScrollingDirection&lt;Id,L,S&gt;,? super java.lang.Boolean,? super kotlin.coroutines.Continuation&lt;? super kotlin.Unit&gt;,? extends java.lang.Object&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager.HyperLinkCachedCreator com.intellij.kubernetes.logs.KubernetesLogStateManager getStateManager()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager com.intellij.kubernetes.logs.KubernetesLogFilterModelImpl getFilterModel$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesFastLogProviderKt java.time.Instant getEND_OF_LOGS_LABEL()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ILogConsistentCache com.intellij.kubernetes.logs.IdRange&lt;Id&gt; getConsistentLogsRange()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager kotlinx.coroutines.flow.MutableStateFlow&lt;com.intellij.kubernetes.logs.KubernetesLogPresentationSettings&gt; getPresentationSettings$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogLineEntry java.util.List&lt;com.intellij.kubernetes.logs.LogEntry&gt; component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsManagerInterface">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLargeLogsEditor.VisibleLines VisibleLines(int, int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogsLoader">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogLineEntry Id getTimestamp$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogSubscribableConsistentCache">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogEntryKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLargeLogsEditor.VisibleLines int component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLargeLogsEditor.VisibleLines int component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesFastLogProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager.HyperLinkCachedCreator com.intellij.kubernetes.api.KubernetesApiModelInterface getApiModel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterModel T updateSettings(kotlin.jvm.functions.Function1&lt;? super T,? extends T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterSettings.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.FastLogProvider FastLogProvider(kotlinx.coroutines.CoroutineScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogLineEntry L component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsManager boolean isStateManagerDisposed()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFiltersKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLargeLogsEditor.VisibleLines int component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesTextFilterModel">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogJobManagerKt kotlinx.coroutines.flow.Flow&lt;com.intellij.kubernetes.logs.KubernetesContextLog&gt; createStreamingLogsFlowOnBack(java.util.List&lt;? extends com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject&gt;, com.intellij.kubernetes.api.KubernetesApiModelInterface, com.intellij.kubernetes.logs.TimeSlice)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt; getRight()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node&lt;T&gt; getRight()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsTabPanel.LogLineEntry LogLineEntry(int, java.util.List&lt;com.intellij.kubernetes.logs.KubernetesContextLogsTabPanel.LogEntry&gt;, java.time.Instant)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.24978.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node int getSubtreeSize()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node int getSubtreeSize()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogLineEntry LogLineEntry(java.util.List&lt;com.intellij.kubernetes.logs.LogEntry&gt;, L)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesTextFilterModel T updateSettings(kotlin.jvm.functions.Function1&lt;? super T,? extends T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesTextFilterModel boolean apply(com.intellij.kubernetes.logs.KubernetesContextLog)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager java.util.List&lt;com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject&gt; getCurrentContainers$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLargeLogsEditor.VisibleLines int getVisibleStartLine()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLog.Companion com.intellij.kubernetes.logs.KubernetesContextLog fromEvent(io.kubernetes.client.openapi.models.CoreV1Event, com.intellij.kubernetes.api.Context)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLargeLogsEditor KubernetesLargeLogsEditor(com.intellij.kubernetes.logs.KubernetesLogStateManager)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager.HyperLinkCachedCreator com.intellij.execution.filters.HyperlinkInfo getHyperlinkInfoForLog$intellij_clouds_kubernetes_backend(com.intellij.kubernetes.logs.KubernetesContextLog)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ILogItem">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLargeLogsEditor com.intellij.openapi.editor.impl.EditorImpl getEditor$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ILogConsistentCache java.util.List&lt;L&gt; takeLast()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogConsistentFilteringCache LogConsistentFilteringCache(com.intellij.kubernetes.logs.ILogFilterModel&lt;L&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsManager com.intellij.kubernetes.logs.KubernetesLogUIManager getUiManager$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesEventLog">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterSettings KubernetesLogFilterSettings(java.lang.String, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLargeLogsEditor.VisibleLines com.intellij.kubernetes.logs.KubernetesLargeLogsEditor.VisibleLines copy(int, int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterSettings Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ILogConsistentCache void unrelaxConsistentLogsRangeByLogsArrayBounderies()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogUIManagerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogAnsiSegmentKt java.util.List&lt;com.intellij.kubernetes.logs.AnsiSegment&gt; parseStringWithAnsiCsi(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogsLoader kotlinx.coroutines.flow.Flow&lt;kotlin.Pair&lt;java.util.Collection&lt;com.intellij.kubernetes.logs.KubernetesContextLog&gt;,com.intellij.kubernetes.logs.IdRange&lt;java.time.Instant&gt;&gt;&gt; streamLogsDownFlow(java.time.Instant, kotlin.jvm.functions.Function2&lt;? super com.intellij.kubernetes.logs.KubernetesContextLog,? super kotlin.coroutines.Continuation&lt;? super java.lang.Boolean&gt;,? extends java.lang.Object&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLargeLogsEditorKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesAnsiParsingException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.26574.91&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterSettings boolean apply(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesFastLogProvider.LogConsistentSizedCache LogConsistentSizedCache()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsManager com.intellij.kubernetes.api.KubernetesApiModelInterface getApiModel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.BackendKubernetesLogUtilsKt com.intellij.kubernetes.logs.KubernetesContextLogsManager openLogsInEditor(com.intellij.kubernetes.api.KubernetesApiModelInterface, java.util.List&lt;? extends com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject&gt;, java.lang.Object, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ILogConsistentCache void relaxConsistentLogsRange(com.intellij.kubernetes.logs.IdRange&lt;Id&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterSettings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesFastLogProvider com.intellij.kubernetes.logs.LogConsistentCache&lt;java.time.Instant,com.intellij.kubernetes.logs.KubernetesContextLog,com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject&gt; gerFilteredConsistentCacheInTest$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogEntry">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsManager.HyperLinkCachedCreator void clearCache$intellij_clouds_kubernetes()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.22562.145&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ILogConsistentCache">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogsLoader KubernetesLogsLoader(kotlinx.coroutines.channels.SendChannel&lt;? super com.intellij.kubernetes.logs.KubernetesContextLog&gt;, java.util.List&lt;? extends com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject&gt;, com.intellij.kubernetes.api.KubernetesApiModelInterface, kotlinx.coroutines.flow.MutableStateFlow&lt;java.lang.Integer&gt;, kotlin.jvm.functions.Function0&lt;java.lang.Long&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesFastLogProvider java.util.List&lt;com.intellij.kubernetes.logs.LogLineEntry&lt;java.time.Instant,com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject,com.intellij.kubernetes.logs.KubernetesContextLog&gt;&gt; buildLogEntries(java.util.List&lt;? extends com.intellij.kubernetes.logs.KubernetesContextLog&gt;, com.intellij.kubernetes.logs.KubernetesLogStateManager)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ILogConsistentCache java.util.List&lt;L&gt; getLogsAround(Id)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogAnsiSegmentKt java.lang.String stripAnsiSetTitleOscSequence(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.TimeSlice">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogConsistentContainerListFlowBasedCache LogConsistentContainerListFlowBasedCache(com.intellij.openapi.project.Project, java.util.List&lt;? extends S&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterSettings com.intellij.kubernetes.logs.KubernetesLogFilterSettings copy(java.util.List&lt;? extends com.intellij.kubernetes.logs.pattern.matching.LogCluster&gt;, java.util.List&lt;? extends com.intellij.kubernetes.logs.pattern.matching.LogCluster&gt;, com.intellij.kubernetes.logs.KubernetesTextLogFilterSettings)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterModel">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager kotlinx.coroutines.flow.MutableStateFlow&lt;java.lang.Long&gt; getLargeLogsSizeFlow$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLargeLogsEditor com.intellij.openapi.editor.Document getDocument$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesFastLogProvider KubernetesFastLogProvider(com.intellij.kubernetes.logs.KubernetesLogStateManager, kotlin.jvm.functions.Function3&lt;? super com.intellij.kubernetes.logs.FastLogProvider.ColoredLogContextListWithScrollingDirection&lt;java.time.Instant,com.intellij.kubernetes.logs.KubernetesContextLog,com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject&gt;,? super java.lang.Boolean,? super kotlin.coroutines.Continuation&lt;? super kotlin.Unit&gt;,? extends java.lang.Object&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLargeLogsEditor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogUtilsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ILogSource">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogFilterSettings KubernetesLogFilterSettings(java.util.List&lt;? extends com.intellij.kubernetes.logs.pattern.matching.LogCluster&gt;, java.util.List&lt;? extends com.intellij.kubernetes.logs.pattern.matching.LogCluster&gt;, com.intellij.kubernetes.logs.KubernetesTextLogFilterSettings)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node int getHeight()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.ConcurrentCopyOnWriteSliceableAvlStorageSet.Node int getHeight()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.BackendKubernetesLogUtilsKt void openLogsInEditor(com.intellij.openapi.project.Project, com.intellij.kubernetes.api.KubernetesApiModelInterface, com.intellij.openapi.Disposable, com.intellij.kubernetes.logs.KubernetesContextLogsManagerInterface, java.lang.Object, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogAnsiSegmentKt boolean containsAnsiCsi(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogAnsiSegmentKt boolean containsAnsiCsi(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesContextLogsTabPanel.LogLineEntry com.intellij.kubernetes.logs.KubernetesContextLogsTabPanel.LogLineEntry copy(int, java.util.List&lt;com.intellij.kubernetes.logs.KubernetesContextLogsTabPanel.LogEntry&gt;, java.time.Instant)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.24978.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogLineEntry L getOriginalLog()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogAnsiSegmentKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.26574.91&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager com.intellij.kubernetes.logs.KubernetesLogStateManager.HyperLinkCachedCreator getHyperlinkEntryRegistry$intellij_clouds_kubernetes_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.SliceableStorageSet">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.SliceableStorageSet">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogsLoader">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.LogConsistentFilteringCache com.intellij.kubernetes.logs.ILogFilterModel&lt;L&gt; getFilteringModel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesLogStateManager KubernetesLogStateManager(com.intellij.kubernetes.api.KubernetesApiModelInterface, com.intellij.openapi.Disposable, java.util.List&lt;? extends com.intellij.kubernetes.view.nodes.workloads.KubernetesContainerObject&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.kubernetes.logs.KubernetesTextFilterModel KubernetesTextFilterModel(com.intellij.kubernetes.logs.KubernetesLogStateManager)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
</root>
